Name:           python-crepes
Version:        0.8.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Conformal classifiers, regressors, and predictive systems (crepes)

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com//henrikbostrom/crepes/issues
Source:         %{pypi_source crepes}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'crepes' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-crepes
Summary:        %{summary}

%description -n python3-crepes %_description


%prep
%autosetup -p1 -n crepes-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-crepes -f %{pyproject_files}


%changelog
%autochangelog